const char tabelleHTML[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
 <head>
  <title>WiFi Zählwaage</title>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <meta name=viewport content="width=device-width, initial-scale=1">

<style type="text/css" media="screen, print, projection">
html, body, #wrap {
    height: 99% ;
  padding: 0; margin: 0;
}

#wrap
{
margin: auto;
position: absolute;
top: 0;
left: 0;
bottom: 0;
right: 0;
box-sizing: border-box;
text-align: center; 
vertical-align: middle; 
max-width: 1000px; 
width:100%;
background:#808080 ;
border-radius: 10px;
padding: 3px;       
}

#linke
{
margin-right:3px;
box-sizing: border-box;
text-align: center; 
vertical-align: middle; 
width: calc(50% - 3px);
align-items: center;
justify-content: center;
background:#dce;
border-radius: 10px;
padding:5px;       
height: 100% ;
float: left;
border: 2px solid #36F;
font-family: Montserrat, "Helvetica Neue", sans-serif;
font-size:3ex;
}

#rechte
{
box-sizing: border-box;
text-align: center; 
width:50%;
display: flex;
align-items: center;
justify-content: center;
background:#dcf;
border-radius: 10px;
padding:0;    
height: 100% ;
font-family: Montserrat, "Helvetica Neue", sans-serif;
border: 2px solid #36F;
}

.btn
{
border-radius: 10px;
vertical-align: center; 
text-align: center;
width  :  80%;
padding:1vw; 
font-size: 3vw;
}

.inp
{
width: 50%; 
font-size:3ex;
box-sizing: border-box;
text-align:right;
}

textarea 
{
width: 95%;
height : 95%;
line-height:1.4;
border: 1px solid black;
border-radius: 10px;
font-family: Courier, "Lucida Console", monospace;
background-color: white;
resize: none;
font-size:3ex;
}

@media screen and (orientation: portrait) 
{
   #linke {width:100%; height: 50% ;}
   #rechte {width:100%; height: 50% ; }
.btn
{
padding:2vw; 
font-size: 6vw;
}

#linke
{
font-size:3vw;
}  
}

@media screen and (orientation: landscape) 
{
   html, body,#wrap 
   {
    max-height: 500px  !important;
}
.inp
{
font-size:2ex;
}

}
</style>

 </head>
 <body>
<div id="wrap">

<div id="linke">

  <table style="text-align: center; width: 100%; height: 100%; " border="0" cellpadding="0" cellspacing="0" >
  <tr >
    <td style=" width: 50%;">
<input  class="inp" id="Eichgewicht0" maxlength=5 value="0" type="text" disabled> gr
  </td>
  <td>
<button class="btn" autofocus onclick="Eichen1()">eiche</button>
  </td>
  </tr>
    <tr>
    <td>
<input  class="inp" id="Eichgewicht" maxlength=5 value="100" type="text"> gr
  </td>
  <td>

<button class="btn" id="btnEichge2" onclick="Eichen2()" disabled >eiche</button>
  </td>
  </tr>
  <tr>
    <td>
<button class="btn" onclick="Loeschen()">Löschen</button>
  </td>
  <td>
<a href="/Waage.txt"><button class="btn" onclick="">Downl.</button></a>
  </td>
  </tr>
    <tr>
    <td>
<a href="/"><button class="btn">Zurück</button></a>
  </td>
  <td>
   <h2 id="hauptanzeige">----- g</h2>
  </td>
  </tr>

 
</table> 
</div>

<div id="rechte">
<textarea  id="Daten">Daten-Datei wird geladen</textarea> 
   
</div>
</div>
  </body>
  
    <script type="text/javascript">
var Url = "/";   
window.onload = start;       //Funktion nach dem laden des HTMLs ausführen

function start () 
{
myAjax = new XMLHttpRequest();   // Bilden anen AJAX objekts
myAjax.onreadystatechange=LesenAjax;  // Wenn Ereignis vom Server kommt, wird funktion LesenAjax ausgeführt
DatenLaden ();
setInterval(aktualisieren,2000);    // Initialisiert das Timer-gesteuerte Ausführen von Funktion //aktualisieren();
}

function aktualisieren () 
{
myAjax.open("GET",Url+"gewicht.php",true);        // GET-Anfrage an Server senden
myAjax.send();  
}

function LesenAjax()   //AJAX-Ereignis ist passiert
{

    if (myAjax.readyState==4 && myAjax.status==200) // Wenn antwort volständig und OK
    {                                               // dann
      var datenstr=myAjax.responseText;               // empfangene Daten als Text 
    hauptanzeige.innerHTML=datenstr+" g";
    }
}

function httpGet ( sende )
      {
        myAjax.open ( "GET", Url + sende, true) ;
        myAjax.send() ;
      }
    
function Eichen1 ()
      {
      httpGet('gewicht.php?eichgewicht=0');
    btnEichge2.disabled = false;
      }  
function Eichen2 ()
      {
      httpGet('gewicht.php?eichgewicht='+Eichgewicht.value);
      }
    
function Zaelwage ()
      {
    umschalter=true;
      StuckGewicht=Gewicht/Stukzahl;
    Art.value=parseFloat(StuckGewicht);
      }   
function Loeschen ()
      {          
      var r = confirm("Tabelle wirklich löschen?");
      if (r == true) 
         {
         httpGet('gewicht.php?tabelle=loeschen');
         Daten.value ="";
         }
      }   
    
function DatenLaden ()
      {
       var xhr = new XMLHttpRequest() ;
       xhr.onreadystatechange = function() {
        if ( xhr.readyState == XMLHttpRequest.DONE )
        {
          Daten.value = xhr.responseText ;
        }
      }
      xhr.open ( "GET", Url+"Waage.txt", false ) ;
      xhr.send() ;
      }
    
</script>
</html>

)=====" ;
